Package com.xebialabs.xlrelease.api.v1.forms

## Class DuplicateDeliveryPattern

- java.lang.Object
- - com.xebialabs.xlrelease.api.v1.forms.DuplicateDeliveryPattern

- All Implemented Interfaces:
    `java.io.Serializable`

      public class DuplicateDeliveryPattern
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DuplicateDeliveryPattern()` |
    `DuplicateDeliveryPattern​(java.lang.String title, java.lang.String description)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getDescription()` |
    `java.lang.String` | `getTitle()` |
    `boolean` | `hasDescription()` |
    `boolean` | `hasTitle()` |
    `void` | `setDescription​(java.lang.String description)` |
    `void` | `setTitle​(java.lang.String title)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DuplicateDeliveryPattern

          public DuplicateDeliveryPattern()

    - #### DuplicateDeliveryPattern

          public DuplicateDeliveryPattern​(java.lang.String title,
                                          java.lang.String description)

  - ### Method Detail

    - #### getTitle

          public java.lang.String getTitle()

    - #### setTitle

          public void setTitle​(java.lang.String title)

    - #### hasTitle

          public boolean hasTitle()

    - #### getDescription

          public java.lang.String getDescription()

    - #### setDescription

          public void setDescription​(java.lang.String description)

    - #### hasDescription

          public boolean hasDescription()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`